shishi_cfg_clientkdcetype_set(3)

NAME
shishi_cfg_clientkdcetype_set - API function

SYNOPSIS
#include <shishi.h>

int shishi_cfg_clientkdcetype_set(Shishi * handle, char * value);

ARGUMENTS

Shishi * handle
    Shishi library handle created by shishi_init().

char * value
    String naming acceptable encryption types.

DESCRIPTION
Sets the configuration option "client-kdc-etypes" from value. The string contains encryption types, integers or names, separated by comma or by whitespace. An example naming three encryption types could be:

aes256-cts-hmac-sha1-96 des3-cbc-sha1-kd des-cbc-md5

RETURN VALUE
Returns SHISHI_OK if successful, and SHISHI_INVALID_ARGUMENT otherwise.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.